aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh')
-rwxr-xr-xframework/src/suricata/qa/gnuplot/plot-csv-large-all.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh b/framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh
new file mode 100755
index 00000000..f3484fd7
--- /dev/null
+++ b/framework/src/suricata/qa/gnuplot/plot-csv-large-all.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+#
+if [ "$1" = "" ]; then
+ echo "call with location of csv file."
+ exit 1;
+fi
+
+gnuplot << EOF
+set datafile separator ","
+set terminal png size 1024,768
+set output "$1.png"
+set title "$1 ticks"
+set key autotitle columnhead
+set yrange [:]
+set xrange [:]
+set logscale y
+#set pointsize 4
+plot "$1" using $2 with $4, for [i in $3] '' using i with $4
+EOF
+RESULT=$?
+if [ "$RESULT" = "0" ]; then
+ echo "PNG $1.png written"
+fi